View Issue Details

IDProjectCategoryView StatusLast Update
0002737AJAX/JSBug Report - Interfacepublic2016-12-14 06:52
ReporterDerIdiot Assigned ToDerIdiot  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Fixed in Version2017-01 
Summary0002737: bbcode editor: URL popup, cursor position upon submitting popup
DescriptionAfter the URL popup is filled in and you hit submit, the cursor does not return to the text area. For spoilers and quotes, the cursor returns to inside the tag right before the closing tag. Example:

[spoiler]asaffasf ^[/spoiler]
> cursor goes to the ^ location

For all 3, it should instead have the cursor go just OUTSIDE of the closed tag. Example:

[spoiler]asaffasf [/spoiler]^
TagsNo tags attached.

Relationships

related to 0002740 resolvedDerIdiot bbcode editor: image popup improvements 

Activities

DerIdiot

2016-12-05 23:28

administrator   ~0003939

i agree for the instances where you have text selected for spoiler, code and quote. i do not where you don't.

as for link and video these can always exit the blocks.

CDB-Man

2016-12-07 04:41

manager   ~0003943

I agree with that comment. In that case, We should extend the spoiler method of cursor exit to bold/italic/underline/strikethrough -- exit if text is selected, stay inside if no text selected.

CDB-Man

2016-12-09 14:35

manager   ~0003949

I hate to reopen this 1 more time... but forgot to mention the first time that this should probably extend to [hr] as well. :)

Currently for [hr] the cursor goes to the left, it should exit to the right.

Issue History

Date Modified Username Field Change
2016-12-05 20:44 DerIdiot New Issue
2016-12-05 20:44 DerIdiot Issue generated from: 0002726
2016-12-05 22:38 DerIdiot Issue cloned: 0002738
2016-12-05 22:38 DerIdiot Summary Forum bbcode editor: URL popup, cursor focus upon submitting popup => Forum bbcode editor: URL popup, cursor position upon submitting popup
2016-12-05 22:38 DerIdiot Description Updated View Revisions
2016-12-05 23:28 DerIdiot Assigned To => DerIdiot
2016-12-05 23:28 DerIdiot Status new => resolved
2016-12-05 23:28 DerIdiot Resolution open => fixed
2016-12-05 23:28 DerIdiot Fixed in Version => 2017-01
2016-12-05 23:28 DerIdiot Note Added: 0003939
2016-12-05 23:31 DerIdiot Summary Forum bbcode editor: URL popup, cursor position upon submitting popup => bbcode editor: URL popup, cursor position upon submitting popup
2016-12-07 04:32 CDB-Man Relationship added related to 0002740
2016-12-07 04:41 CDB-Man Status resolved => feedback
2016-12-07 04:41 CDB-Man Resolution fixed => reopened
2016-12-07 04:41 CDB-Man Note Added: 0003943
2016-12-08 12:46 DerIdiot Status feedback => resolved
2016-12-08 12:46 DerIdiot Resolution reopened => fixed
2016-12-09 14:35 CDB-Man Status resolved => feedback
2016-12-09 14:35 CDB-Man Resolution fixed => reopened
2016-12-09 14:35 CDB-Man Note Added: 0003949
2016-12-09 17:11 DerIdiot Status feedback => resolved
2016-12-09 17:11 DerIdiot Resolution reopened => fixed